Update a Secure Compute network
PATCH
https://api.vercel.com/v1/connect/networks/{networkId}Allows to update a Secure Compute network.
https://api.vercel.com/v1/connect/networks/{networkId}
const response = await fetch('https://api.vercel.com/v1/connect/networks/networkId?teamId=string&slug=string', { method: 'PATCH', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "name": "Example Name" }),});
const data = await response.json();console.log(data);Response
{ "awsAccountId": "example_id", "awsAvailabilityZoneIds": [], "awsRegion": "string", "cidr": "example_id", "createdAt": "123", "egressIpAddresses": [], "hostedZones": { "count": "123" }, "id": "icfg_1234567890", "name": "Example Name", "peeringConnections": { "count": "123" }, "projects": { "count": "123", "ids": [] }, "region": "string", "status": "create_in_progress", "teamId": "example_id", "vpcId": "example_id"}AuthorizationbearerToken
Default authentication mechanism
200Success
The IDs of the AWS Availability Zones in which the network exists, if specified during creation.
The date at which the Network was created, represented as a UNIX timestamp since EPOCH.
Metadata about any AWS Route53 Hosted Zones associated with the Network.
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error